async function saveDeviceSettings() {
    const originalAddress = document.getElementById('originalDeviceAddress').value;
    const address = document.getElementById('addressInput').value;
    const shortPress = document.getElementById('shortPressInput').value;
    const longPress = document.getElementById('longPressInput').value;

    if(shortPress != '')
    {
        await fetch('/action/shortDelay', {
            method: 'POST',
            headers: {
                'Content-Type': 'application/json'
            },
            body: JSON.stringify({
                'address': Number(originalAddress),
                'value': Number(shortPress)
            })
        }).then(response => response.json()).then(data => {
            console.log(data);
        });
    }

    if(longPress != '')
    {
        await fetch('/action/longDelay', {
            method: 'POST',
            headers: {
                'Content-Type': 'application/json'
            },
            body: JSON.stringify({
                'address': Number(originalAddress),
                'action': 5,
                'value': Number(longPress)
            })
        }).then(response => response.json()).then(data => {
            console.log(data);
        });
    }

    if(address != originalAddress)
    {
        fetch('/action/address', {
            method: 'POST',
            headers: {
                'Content-Type': 'application/json'
            },
            body: JSON.stringify({
                'address': Number(originalAddress),
                'action': 3,
                'value': Number(address)
            })
        }).then(response => response.json()).then(data => {
            console.log(data);
        });
    }
}

window.saveDeviceSettings = saveDeviceSettings;