const bootstrap = require('bootstrap/dist/js/bootstrap.bundle');

const modal = new bootstrap.Modal(document.getElementById('actionConfirmationModal'));
const toast = new bootstrap.Toast(document.getElementById('successfullExecutedToast'));

let requestBody = [];
let buttonAction = '';

function executeAction(address, action, value) {
    requestBody = {
        address: address,
        value: value
    };
    buttonAction = action
    modal.show();
}

document.getElementById('actionConfirmationModalContinue').addEventListener('click', async function () {
    modal.hide();
    fetch('/action/' + buttonAction, {
        method: 'POST',
        headers: {
            'Content-Type': 'application/json'
        },
        body: JSON.stringify(requestBody)
    }).then(response => response.json()).then(data => {
        console.log(data);
        if (data.success) {
            toast.show();
        } else {
            alert(data.message);
        }
    })
});

window.executeAction = executeAction;