<?php

namespace App\Twig\Components;

use App\Entity\Server;
use App\Entity\WebResetter;
use App\Repository\ServerRepository;
use Symfony\UX\TwigComponent\Attribute\AsTwigComponent;

#[AsTwigComponent('device_accordion')]
final class DeviceAccordionComponent
{
    public ?WebResetter $device;
    /** @var array|Server[] */
    public array $servers;
    public bool $expanded = false;

    public function __construct(ServerRepository $serverRepository)
    {
        $this->servers = $serverRepository->findAll();
        if (!isset($this->device)) {
            $this->device = new WebResetter();
        }
    }
}
